<?php

namespace DC\LinkProxy\XF\Pub\Controller;

use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\AbstractReply;

class Redirect extends \XF\Pub\Controller\AbstractController
{
    public function actionIndex() {
        $url = str_replace("/vb/redirect?to=", "", "$_SERVER[REQUEST_URI]");
        $urlDecoded = base64_decode($url);

        if (filter_var($urlDecoded, FILTER_VALIDATE_URL) === FALSE) {
            $error = \XF::phrase('DC_LinkProxy_url_not_valid');
            return $this->message($error);
        }
        
        $viewParams = [
            'url' => $urlDecoded
        ];
        return $this->view('DC\LinkProxy:Redirecting', 'DC_LinkProxy_Redirecting', $viewParams);
    }
}